Why are previous generation GPUs such as the GeForce 4 series and GeForce 3 series not supported under Windows 7 or Vista drivers?

Updated 04/15/2010 10:27 AM

Why are previous generation GPUs such as the GeForce 4 series and GeForce 3 series not supported under Windows 7 or Vista drivers?


The new features found in Windows Vista require a GPU that supports DirectX 9.0 Pixel and Vertex Shader 2.0. All GPUs before the GeForce FX series do not support DirectX 9.0.

Is this answer helpful?

Live Chat

Chat online with one of our support agents

CHAT NOW

ASK US A QUESTION

Contact Support for assistance

Click here